package cn.com.qmth.examcloud.core.questions.service.bean.randompaper;

import java.util.List;

import cn.com.qmth.examcloud.core.questions.dao.entity.dto.CoursePropertyNumberDto;
import cn.com.qmth.examcloud.core.questions.dao.entity.dto.PaperDetailUnitStructDto;
import cn.com.qmth.examcloud.core.questions.service.cache.RandomPaperCache;
import cn.com.qmth.examcloud.question.commons.core.paper.DefaultQuestionStructureWrapper;

public class CreateDefaultPaperParam {
	private PaperDetailUnitStructDto us;
	//精确结构大题下的一行
	private Integer index;
	private Boolean fullyObjective;
	private String key;
	private Integer unitCount;
	private Integer playTime;
	private Integer detailNumber;
	private List<DefaultQuestionStructureWrapper> units;
	private CoursePropertyNumberDto cp;
	private RandomPaperCache rp;
	public Integer getPlayTime() {
		return playTime;
	}
	public void setPlayTime(Integer playTime) {
		this.playTime = playTime;
	}
	public Integer getDetailNumber() {
		return detailNumber;
	}
	public void setDetailNumber(Integer detailNumber) {
		this.detailNumber = detailNumber;
	}
	public List<DefaultQuestionStructureWrapper> getUnits() {
		return units;
	}
	public void setUnits(List<DefaultQuestionStructureWrapper> units) {
		this.units = units;
	}
	public CoursePropertyNumberDto getCp() {
		return cp;
	}
	public void setCp(CoursePropertyNumberDto cp) {
		this.cp = cp;
	}
	public RandomPaperCache getRp() {
		return rp;
	}
	public void setRp(RandomPaperCache rp) {
		this.rp = rp;
	}
	public Integer getUnitCount() {
		return unitCount;
	}
	public void setUnitCount(Integer unitCount) {
		this.unitCount = unitCount;
	}
	public String getKey() {
		return key;
	}
	public void setKey(String key) {
		this.key = key;
	}
	public Boolean getFullyObjective() {
		return fullyObjective;
	}
	public void setFullyObjective(Boolean fullyObjective) {
		this.fullyObjective = fullyObjective;
	}
	public Integer getIndex() {
		return index;
	}
	public void setIndex(Integer index) {
		this.index = index;
	}
	public PaperDetailUnitStructDto getUs() {
		return us;
	}
	public void setUs(PaperDetailUnitStructDto us) {
		this.us = us;
	}
	
}
